# ReplacedBy

@Documented
@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = [ElementType.METHOD, ElementType.FIELD])
annotation class ReplacedBy

Attached to a task property to indicate that the property has been replaced by another. Like Internal, the property is ignored during up-to-date checks.

This annotation should be attached to the getter method in Java or the property field in Groovy. You should also consider adding Deprecated to any replaced property.

This will cause the task not to be considered out-of-date when the property has changed.

#### Since

5.4

## Functions

annotationType
Link copied to clipboard
abstract fun annotationType(): Class<out Annotation>
equals
Link copied to clipboard
abstract fun equals(p: Any): Boolean
hashCode
Link copied to clipboard
abstract fun hashCode(): Int
toString
Link copied to clipboard
abstract fun toString(): String
value
Link copied to clipboard
abstract fun value(): String
The Java Bean-style name of the replacement property.